### Function

# Vips StartFn

#### Declaration

    void*
    (* VipsStartFn) (
      VipsImage* out,
      void* a,
      void* b
    )

#### Description [src]

Start a new processing sequence for this generate function. This allocates per-thread state, such as an input region.

See also

`vips_start_one()`, `vips_start_many()`.

#### Parameters

`out`

  Type: `VipsImage`

  Image being calculated.

  The data is owned by the caller of the function.

`a`

  Type: `void*`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`b`

  Type: `void*`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `void*`

A new sequence value.

The data is owned by the called function.
The return value can be `NULL`.